import request from '@/utils/request';
//新增储存源
export function storage(params:any) {
    return request({
        url: '/admin/storage',
        method: 'post',
        data:params
    });
}
//查询存储元
export function storagesPage(params:any) {
    return request({
        url: '/admin/storagesPage',
        method: 'get',
        params:params
    });
}
//编辑查询
export function storage2(params:any) {
    return request({
        url: '/admin/storage/'+params.id,
        method: 'get',
    });
}
//删除存储源
export function storagestorageId(params:any) {
    return request({
        url: '/admin/storage/'+params,
        method: 'delete',
    });
}
//出巡储存元
export function storagesBytype(params:any) {
    return request({
        url: '/admin/storagesBytype',
        method: 'get',
        params:params
    });
}
//查询存储元内容
export function storagesType(params:any) {
    return request({
        url: '/admin/storagesType',
        method: 'get',
        params:params
    });
}